{: test a compilation error occurs for a constant declaration when the
   constant expression is bad }

{$d+}
program e026( output );

const
   c0 = [0,1];
   c1 = ;
   c2 = *;
   c3 = or 1;
   c4 = !;
   c5 = ^0;
   c6 = .1;
   c7 = ?;
   c8 = >ff;
   c9 = nil;

begin {e026}

   writeln( 'fails: illegal constant declaration not detected' );

end. {e026}

